# Module `awful.screen`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008 Julien Danjou
- Release: v3.5.1

## Functions

getbycoord (x, y, default) | Return Xinerama screen number corresponding to the given (pixel) coordinates.
focus (screen) | Give the focus to a screen, and move pointer.
focus_bydirection (dir, _screen) | Give the focus to a screen, and move pointer, by physical position relative to current screen.
focus_relative (i) | Give the focus to a screen, and move pointer, but relative to the current focused screen.
padding (_screen, padding) | Get or set the screen padding.

## Tables

screen | Screen module for awful awful.screen

## Functions

getbycoord (x, y, default)
  Return Xinerama screen number corresponding to the given (pixel) coordinates. The number returned can be used as an index into the global `screen` table/object.

  ### Parameters:

  - x The x coordinate
  - y The y coordinate
  - default Optional default return value. If unspecified, 1 is returned.
focus (screen)
  Give the focus to a screen, and move pointer. Keeps relative position of the pointer on the screen.

  ### Parameters:

  - screen Screen number.
focus_bydirection (dir, _screen)
  Give the focus to a screen, and move pointer, by physical position relative to current screen.

  ### Parameters:

  - dir The direction, can be either "up", "down", "left" or "right".
  - _screen Screen number.
focus_relative (i)
  Give the focus to a screen, and move pointer, but relative to the current focused screen. screen, -1 would focus the previous one.

  ### Parameters:

  - i Value to add to the current focused screen index. 1 will focus next
padding (_screen, padding)
  Get or set the screen padding. 'bottom'. Can be nil if you only want to retrieve padding

  ### Parameters:

  - _screen The screen object to change the padding on
  - padding The padding, an table with 'top', 'left', 'right' and/or

## Tables

screen
  Screen module for awful awful.screen

generated by LDoc 1.3